Skip to main content
GET
/
v1
/
files
/
{file_id}
Get File
curl --request GET \
  --url https://api.spitch.app/v1/files/{file_id} \
  --header 'Authorization: Bearer <token>'
{
  "file_id": "<string>",
  "original_name": "<string>",
  "size_bytes": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "uploaded_by": "<string>"
}

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token>. The service accepts JWTs, API keys, and guest tokens through this bearer token header.

Path Parameters

file_id
string
required

Response

Successful Response

file_id
string
required
status
enum<string>
required
Available options:
uploading,
ready
original_name
string | null
required
size_bytes
integer | null
required
created_at
string<date-time>
required
uploaded_by
string | null